Name:          calibre
Version:       2.65.0
Release:       1mamba
Summary:       A free and open source e-book library management application
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://calibre-ebook.com
Source:        https://github.com/kovidgoyal/calibre.git/v%{version}/calibre-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/project/calibre/%{version}/calibre-%{version}.tar.xz
#Source:        http://calibre-ebook.googlecode.com/files/calibre-%{version}.tar.gz
Source1:       calibre.desktop
Patch0:        calibre-0.8.33-libpoppler-0.20.patch
Patch1:        calibre-0.7.59-libpoppler-0.18.patch
Patch2:        calibre-0.7.59-libpng-1.5.patch
Patch3:        calibre-0.7.50-python-lxml.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libMagick-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: libchm-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libicu-devel
BuildRequires: libmtdev-devel
BuildRequires: libmtp-devel
BuildRequires: libopenssl-devel
BuildRequires: libpodofo-devel
BuildRequires: libpython-devel
BuildRequires: libpython27-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: libusb-devel
## AUTOBUILDREQ-END
BuildRequires: BeautifulSoup
BuildRequires: dnspython
BuildRequires: libwmf
BuildRequires: python-mechanize
BuildRequires: python-cssutils
BuildRequires: python-lxml
BuildRequires: libpython-devel
BuildRequires: python-sip-devel
BuildRequires: python-ordereddict
BuildRequires: python-cssselect
BuildRequires: libmtp-devel
BuildRequires: python-dateutil
BuildRequires: libpodofo-devel >= 0.9.3
BuildRequires: pyicu
Requires:      PyQt5
Requires:      python-lxml
Requires:	   python-six
Requires:      python-apsw
Requires:      cssutils
Requires:      mechanize
Requires:      python27 >= %python27_version
Requires:      python-cssselect
Requires:      python-dateutil
Requires:      BeautifulSoup
Requires:      python-netifaces
Requires:      pyicu
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
calibre is a free and open source e-book library management application developed by users of e-books for users of e-books.

%prep
%setup -q
#-n %{name}
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
CFLAGS="%{optflags}" %{__python27} setup.py bootstrap
CFLAGS="%{optflags}" %{__python27} setup.py build
CFLAGS="%{optflags}" %{__python27} setup.py resources

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python27} setup.py install \
   --root=%{buildroot}/usr  \
   --staging-libdir=%{buildroot}%{_libdir} \
   --libdir=%{_libdir}

mkdir %{buildroot}%{_datadir}/applications
cp %SOURCE1 %{buildroot}%{_datadir}/applications/calibre.desktop
install -D -m0644 %{buildroot}%{_datadir}/calibre/content_server/calibre.png \
   %{buildroot}%{_datadir}/pixmaps/calibre.png

%files 
%defattr(-,root,root)
#%{_sysconfdir}/bash_completion.d/calibre
%{_bindir}/calibre
%{_bindir}/calibre-complete
%{_bindir}/calibre-customize
%{_bindir}/calibre-debug
#%{_bindir}/calibre-mount-helper
%{_bindir}/calibre-parallel
%{_bindir}/calibre-server
%{_bindir}/calibre-smtp
%{_bindir}/calibre-uninstall
%{_bindir}/calibredb
%{_bindir}/ebook-convert
%{_bindir}/ebook-device
%{_bindir}/ebook-edit
%{_bindir}/ebook-meta
%{_bindir}/ebook-polish
#%{_bindir}/ebook-tweak
%{_bindir}/ebook-viewer
#%{_bindir}/epub-fix
%{_bindir}/fetch-ebook-metadata
#%{_bindir}/librarything
%{_bindir}/lrf2lrs
%{_bindir}/lrfviewer
%{_bindir}/lrs2lrf
%{_bindir}/markdown-calibre
#%{_bindir}/pdfmanipulate
%{_bindir}/web2disk
%{_datadir}/appdata/calibre-ebook-edit.appdata.xml
%{_datadir}/appdata/calibre-ebook-viewer.appdata.xml
%{_datadir}/appdata/calibre-gui.appdata.xml
%ifarch %{ix86}
%{_datadir}/bash-completion/completions/calibre
%endif
%{_datadir}/applications/calibre.desktop
%{_datadir}/pixmaps/calibre.png
%dir %{_libdir}/calibre
%dir %{_libdir}/calibre/calibre
%{_libdir}/calibre/calibre/*.py
%dir %{_libdir}/calibre/calibre/db
%{_libdir}/calibre/calibre/db/*
%dir %{_libdir}/calibre/calibre/customize
%{_libdir}/calibre/calibre/customize/*.py
%dir %{_libdir}/calibre/calibre/devices
%{_libdir}/calibre/calibre/devices/*
%dir %{_libdir}/calibre/calibre/ebooks
%{_libdir}/calibre/calibre/ebooks/*
%dir %{_libdir}/calibre/calibre/gui2
%{_libdir}/calibre/calibre/gui2/*
%dir %{_libdir}/calibre/calibre/library
%{_libdir}/calibre/calibre/library/*
%dir %{_libdir}/calibre/lzma
%{_libdir}/calibre/lzma/*
%dir %{_libdir}/calibre/calibre/plugins
%{_libdir}/calibre/calibre/plugins/*.so
%dir %{_libdir}/calibre/calibre/spell
%{_libdir}/calibre/calibre/spell/*.py
#%dir %{_libdir}/calibre/calibre/trac
#%{_libdir}/calibre/calibre/trac/*.py
%dir %{_libdir}/calibre/calibre/translations
%{_libdir}/calibre/calibre/translations/*.py
%dir %{_libdir}/calibre/calibre/utils
%{_libdir}/calibre/calibre/utils/*
%dir %{_libdir}/calibre/calibre/web
%{_libdir}/calibre/calibre/web/*
%dir %{_libdir}/calibre/chardet
%{_libdir}/calibre/chardet/*
%dir %{_libdir}/calibre/cherrypy
%{_libdir}/calibre/cherrypy/*
%dir %{_libdir}/calibre/css_selectors
%{_libdir}/calibre/css_selectors/*
%dir %{_libdir}/calibre/duktape
%{_libdir}/calibre/duktape/*
%dir %{_libdir}/calibre/html5lib
%{_libdir}/calibre/html5lib/*
%dir %{_libdir}/calibre/odf
%{_libdir}/calibre/odf/*.py
#%dir %{_libdir}/calibre/qtcurve
#%{_libdir}/calibre/qtcurve/*.py
%dir %{_libdir}/calibre/regex
%{_libdir}/calibre/regex/*.py
%dir %{_libdir}/calibre/routes
%{_libdir}/calibre/routes/*.py
%dir %{_libdir}/calibre/calibre/srv
%{_libdir}/calibre/calibre/srv/*.py
%dir %{_libdir}/calibre/calibre/srv/tests
%{_libdir}/calibre/calibre/srv/tests/*.py
%dir %{_libdir}/calibre/templite
%{_libdir}/calibre/templite/*.py
%dir %{_libdir}/calibre/tinycss/
%{_libdir}/calibre/tinycss/*.py
%dir %{_libdir}/calibre/tinycss/tests
%{_libdir}/calibre/tinycss/tests/*.py
%dir %{_datadir}/calibre
%{_datadir}/calibre/*
%{python27_sitelib}/init_calibre.py

%changelog
* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 2.65.0-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Automatic Build System <autodist@mambasoft.it> 2.64.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 2.63.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2016 Automatic Build System <autodist@mambasoft.it> 2.62.0-1mamba
- automatic version update by autodist

* Fri Jul 01 2016 Automatic Build System <autodist@mambasoft.it> 2.61.0-1mamba
- automatic version update by autodist

* Fri Jun 24 2016 Automatic Build System <autodist@mambasoft.it> 2.60.0-1mamba
- automatic version update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> 2.59.0-1mamba
- automatic version update by autodist

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 2.58.0-1mamba
- automatic version update by autodist

* Sat Jan 30 2016 Automatic Build System <autodist@mambasoft.it> 2.50.1-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 2.49.0-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Automatic Build System <autodist@mambasoft.it> 2.48.0-1mamba
- automatic version update by autodist

* Mon Dec 21 2015 Automatic Build System <autodist@mambasoft.it> 2.47.0-1mamba
- automatic version update by autodist

* Fri Dec 11 2015 Automatic Build System <autodist@mambasoft.it> 2.46.0-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 2.45.0-1mamba
- automatic version update by autodist

* Sun Nov 15 2015 Automatic Build System <autodist@mambasoft.it> 2.44.1-1mamba
- automatic version update by autodist

* Sun Nov 15 2015 Automatic Build System <autodist@mambasoft.it> 2.44.0-1mamba
- automatic version update by autodist

* Sat Nov 07 2015 Automatic Build System <autodist@mambasoft.it> 2.43.0-1mamba
- automatic version update by autodist

* Sat Oct 31 2015 Automatic Build System <autodist@mambasoft.it> 2.42.0-1mamba
- automatic version update by autodist

* Wed Oct 21 2015 Automatic Build System <autodist@mambasoft.it> 2.41.0-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.40.0-1mamba
- update to 2.40.0

* Sun Aug 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.34.0-1mamba
- update to 2.34.0

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 2.33.0-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 2.31.0-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic version update by autodist

* Fri May 15 2015 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic version update by autodist

* Sat May 02 2015 Automatic Build System <autodist@mambasoft.it> 2.27.0-1mamba
- automatic version update by autodist

* Fri Apr 24 2015 Automatic Build System <autodist@mambasoft.it> 2.26.0-1mamba
- automatic version update by autodist

* Sat Apr 18 2015 Automatic Build System <autodist@mambasoft.it> 2.25.0-1mamba
- automatic version update by autodist

* Sun Apr 12 2015 Automatic Build System <autodist@mambasoft.it> 2.24.0-1mamba
- automatic version update by autodist

* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 2.23.0-1mamba
- automatic version update by autodist

* Sun Mar 22 2015 Automatic Build System <autodist@mambasoft.it> 2.22.0-1mamba
- automatic version update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 2.15.0-1mamba
- automatic version update by autodist

* Sun Dec 28 2014 Automatic Build System <autodist@mambasoft.it> 2.14.0-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 2.13.0-1mamba
- automatic version update by autodist

* Fri Nov 28 2014 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Fri Nov 21 2014 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Fri Nov 07 2014 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Fri Oct 31 2014 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Fri Oct 24 2014 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic update by autodist

* Fri Oct 03 2014 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Fri Sep 26 2014 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.48.0-1mamba
- update to 1.48.0

* Sun Jul 20 2014 Automatic Build System <autodist@mambasoft.it> 1.45.0-1mamba
- automatic update by autodist

* Wed Jul 02 2014 Automatic Build System <autodist@mambasoft.it> 1.40.0-1mamba
- automatic version update by autodist

* Wed Apr 30 2014 Automatic Build System <autodist@mambasoft.it> 1.34.0-1mamba
- automatic version update by autodist

* Sun Apr 06 2014 Automatic Build System <autodist@mambasoft.it> 1.31.0-1mamba
- automatic version update by autodist

* Fri Mar 28 2014 Automatic Build System <autodist@mambasoft.it> 1.30.0-1mamba
- automatic version update by autodist

* Fri Mar 21 2014 Automatic Build System <autodist@mambasoft.it> 1.29.0-1mamba
- automatic version update by autodist

* Fri Mar 14 2014 Automatic Build System <autodist@mambasoft.it> 1.28.0-1mamba
- automatic version update by autodist

* Fri Mar 07 2014 Automatic Build System <autodist@mambasoft.it> 1.27.0-1mamba
- automatic version update by autodist

* Fri Feb 28 2014 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic version update by autodist

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 1.25.0-1mamba
- automatic version update by autodist

* Fri Feb 14 2014 Automatic Build System <autodist@mambasoft.it> 1.24.0-1mamba
- automatic version update by autodist

* Sun Feb 09 2014 Automatic Build System <autodist@mambasoft.it> 1.23.0-1mamba
- automatic version update by autodist

* Sat Feb 01 2014 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Sat Jan 25 2014 Automatic Build System <autodist@mambasoft.it> 1.21.0-1mamba
- automatic version update by autodist

* Fri Jan 17 2014 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic version update by autodist

* Sat Jan 11 2014 Automatic Build System <autodist@mambasoft.it> 1.19.0-1mamba
- automatic version update by autodist

* Fri Jan 03 2014 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Fri Dec 20 2013 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Wed Dec 18 2013 Automatic Build System <autodist@mambasoft.it> 1.15.0-1mamba
- automatic version update by autodist

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Fri Nov 29 2013 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Fri Nov 22 2013 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Sat Nov 16 2013 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2013 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.9.0-2mamba
- fixed install parameters to support both 32 and 64 bit

* Fri Nov 01 2013 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Sun Oct 27 2013 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Tue Oct 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-3mamba
- require python-netifaces
- fix desktop file

* Sun Oct 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-2mamba
- fix desktop entry icon

* Fri Oct 18 2013 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Tue Oct 15 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- update to 1.6.0

* Mon Oct 07 2013 openmamba WebBuild System <webbuild@openmamba.org> 1.5.0-2mamba
- Added  python-six and python-apsw requirements

* Mon Sep 30 2013 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- update to 1.5.0

* Fri Sep 13 2013 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sat Sep 07 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sat Aug 24 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 0.9.44-1mamba
- automatic version update by autodist

* Fri Aug 09 2013 Automatic Build System <autodist@mambasoft.it> 0.9.43-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 0.9.41-1mamba
- automatic version update by autodist

* Mon Jul 22 2013 Automatic Build System <autodist@mambasoft.it> 0.9.40-1mamba
- automatic version update by autodist

* Sun Jul 14 2013 Automatic Build System <autodist@mambasoft.it> 0.9.39-1mamba
- automatic version update by autodist

* Sun Jul 07 2013 Automatic Build System <autodist@mambasoft.it> 0.9.38-1mamba
- automatic version update by autodist

* Sat Jun 29 2013 Automatic Build System <autodist@mambasoft.it> 0.9.37-1mamba
- automatic version update by autodist

* Fri Jun 21 2013 Automatic Build System <autodist@mambasoft.it> 0.9.36-1mamba
- automatic version update by autodist

* Sat Jun 15 2013 Automatic Build System <autodist@mambasoft.it> 0.9.35-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.34-1mamba
- automatic version update by autodist

* Fri May 24 2013 Automatic Build System <autodist@mambasoft.it> 0.9.32-1mamba
- automatic version update by autodist

* Sat May 18 2013 Automatic Build System <autodist@mambasoft.it> 0.9.31-1mamba
- automatic version update by autodist

* Sat Feb 23 2013 Automatic Build System <autodist@mambasoft.it> 0.9.20-1mamba
- update to 0.9.20

* Mon Dec 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.50-2mamba
- added requirements: python-dateutil and BeautifulSoup

* Sun Dec 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.50-1mamba
- update to 0.7.50

* Fri Dec 09 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.49-3mamba
- rebuilt with new PyQt4

* Mon May 16 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.49-2mamba
- rebuilt adding requires for cssutils, mechanize and python-lxml

* Sat Mar 12 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.49-1mamba
- update to 0.7.39

* Thu Mar 09 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.38-1mamba
- update to 0.7.38
- added desktop file

* Mon Dec 27 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.35-1mamba
- package created by autospec
